Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.examples.heatbugs
Class Heatbugs3DAdapter

    java.lang.Object
      org.eclipse.amp.agf3d.Graphics3DAdapter
          org.eclipse.amp.escape.ascape.adapt.AscapeDefaultGraphics3DAdapter
              org.eclipse.amp.examples.heatbugs.Heatbugs3DAdapter

All Implemented Interfaces:
  IGraphics3DAdapter, org.eclipse.core.runtime.IAdapterFactory

    public class Heatbugs3DAdapter

extends AscapeDefaultGraphics3DAdapter

Author:
  mparker

Field Summary
`static IShape3DProvider[]` | `BUG_SHAPE_PROVIDERS`
`static IShape3DProvider` | `CONE_SHAPE_PROVIDER`
`static IGraphics3DAdapter` | `singleton`

Fields inherited from class org.eclipse.amp.agf3d.Graphics3DAdapter
`GRAPHICS_ADAPTERS`

Constructor Summary
`Heatbugs3DAdapter()`

Method Summary
`IShape3DProvider[]` | `getShapes(java.lang.Object object)`

Methods inherited from class org.eclipse.amp.escape.ascape.adapt.AscapeDefaultGraphics3DAdapter
`getShapesForClass`

Methods inherited from class org.eclipse.amp.agf3d.Graphics3DAdapter
`getAdapter, getAdapterList, getDefault3D`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static final IGraphics3DAdapter singleton

### CONE_SHAPE_PROVIDER

    public static IShape3DProvider CONE_SHAPE_PROVIDER

### BUG_SHAPE_PROVIDERS

    public static final IShape3DProvider[] BUG_SHAPE_PROVIDERS

Constructor Detail

### Heatbugs3DAdapter

    public Heatbugs3DAdapter()

Method Detail

### getShapes

    public IShape3DProvider[] getShapes(java.lang.Object object)

  Specified by:
    `getShapes` in interface `IGraphics3DAdapter`
  Overrides:
    `getShapes` in class `Graphics3DAdapter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `Graphics3DAdapter.getShapes(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD